TEMPLATE += app

CONFIG +=  release uic

QT += gui xml core widgets


FORMS = CorteoParamWidget.ui LayerForm.ui ElementForm.ui DetectorForm.ui CalibrationForm.ui \
        XYQt/FSEditAxis.ui XYQt/FSEditDataset.ui XYQt/FSEditLegend.ui XYQt/FSOpDialog.ui XYQt/FSFitDialog.ui \

RESOURCES = CorteoUi.qrc

HEADERS = CorteoUi.h CorteoParamWidget.h CalibrationForm.h ElementForm.h LayerForm.h DetectorForm.h \
	              XYQt/colorseries.h XYQt/FSAxis.h XYQt/FSDataSet.h XYQt/FSEditAxis.h XYQt/FSEditDataSet.h \
				  XYQt/FSEditLegend.h XYQt/FSFitDialog.h XYQt/FSGraph.h XYQt/FSDoubleValidator.h XYQt/FSMarker.h \
				  XYQt/FSOpDialog.h XYQt/FSFileDialog.h XYQt/JamaQRDecomposition.h XYQt/PeriodicTable.h \
				  XYQt/spline.h XYQt/xpmLineStyle.h XYQt/xpmSymbol.h \ 
    ../corteo/techniques.h
	              
SOURCES = main.cpp CorteoUi.cpp CorteoParamWidget.cpp CalibrationForm.cpp ElementForm.cpp LayerForm.cpp DetectorForm.cpp  \
	              XYQt/FSAxis.cpp XYQt/FSDataSet.cpp XYQt/FSEditAxis.cpp XYQt/FSEditDataSet.cpp XYQt/FSEditLegend.cpp \
				  XYQt/FSFitDialog.cpp XYQt/FSGraph.cpp XYQt/FSDoubleValidator.cpp XYQt/FSMarker.cpp \
				  XYQt/FSOpDialog.cpp XYQt/FSFileDialog.cpp XYQt/JamaQRDecomposition.cpp XYQt/PeriodicTable.cpp \
                                  XYQt/colorseries.cpp

# Icon stuff (platform-incompatible!!)
linux*: ICON = Corteo.png
macx:ICON=corteo.icns
win32: {
 ICON =  Corteo.png
 RC_FILE = corteo.rc
}

DESTDIR = ../..
